Jump to content
Changes to the Jaspersoft community edition download ×

Issue creating Data Adapter


alvaroiark_1

Recommended Posts

Hi Folks,

I uninstalled an older version I had of Jaspersoft Studio and installed 6.20.1 and when I try to create a Data Adapter the error message attached appears.
I've already added several connection .jars, the old one I used and the new ones, I've also tried several different parameters in the connection string and every time it gives a print error.
I did a lot of research and I didn't find anything on the internet that could help me, if anyone can help me I would be very grateful.
The message is basically: The driver was unable to establish a secure connection to SQL Server using SSL encryption: "The server selected protocol version TLS10 is not accepted by client preferences [TLS13, TLS12]"

Best Regards,

Alvaro Iark

Link to comment
Share on other sites

  • Replies 3
  • Created
  • Last Reply

Top Posters In This Topic

Hello,

 

One option is that you can delete TLSv1 from your java.security file. More information can be found here:


https://stackoverflow.com/questions/67246010/error-message-the-server-selected-protocol-version-tls10-is-not-accepted-by-cli

 

From that article, it also looks like if that doesn't work, you can add this line to your Java deployment.properties file:


deployment.security.TLSv1=true


I hope this helps.

 

Regards,

Paul

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...